import pop3Server.POP3Server;
import smtpServer.SMTPServer;
import relayServer.RelayServer;
import data.LogHandling;

/** Deze klasse beschrijft de server
 * 
 *@version 0.10
 *TODO Instellingen implementeren
 *TODO Kunnen starten, stoppen van services.
 *TODO GUI bouwen voor de instelling.
 */
public class Server {

	private static SMTPServer smtpServer;
	private static POP3Server pop3Server;
	private static RelayServer rlyServer;
	
	/**
	 * Start een nieuwe relay server thread.
	 *
	 */
	public static void startRelayServer(){		
		rlyServer = new RelayServer();
		rlyServer.start();
	}
	
	/**
	 * Start een smtp-server met de genoemde hostname & port.
	 * @param hostname
	 * @param port
	 */
	public static void startSMTPServer(String hostname, int port){
		smtpServer = new SMTPServer(hostname, port);
		smtpServer.start();		
	}
	
	/**
	 * Stopt de smtp-server
	 * @TODO Nog op een nette manier coderen.
	 */
	public static void stopSMTPServer(){
		//smtpServer.stop();
	}
	
	/**
	 * Starten van de pop3-server
	 * @param hostname
	 * @param port
	 */
	public static void startPOP3Server(String hostname, int port){
		pop3Server = new POP3Server(hostname, port);
		pop3Server.start();
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		//Logginh starten
		LogHandling.startSMTPLogging("./data/log/");
		LogHandling.startRelayLogging("./data/log/");
		LogHandling.startPOP3Logging("./data/log/");
		
		//Opstarten van de SMTP Server
		startSMTPServer("mijnserver.com", 25);
		startPOP3Server("mijnserver", 110);	
		startRelayServer();
	}
	
}
