package relayServer;

import data.*;

/**
 * Abstracte klasse om de status van de RelayServer bij te houden.
 * 
 * Elke status zorgt zelf dat deze indien alles lukt er geschakeld wordt 
 * naar de volgende status.
 * 
 * @version 0.50
 * TODO Hostname met HELO meesturen.
 * TODO [OPT] Implementeren extra foutcodes SMTP.
 * TODO [OPT] Implementeren van RFC1123, RFC1869 (deze voegen extra func. toe.).
 *
 */
public abstract class RLYState {
	protected static boolean state;
	protected static boolean sent;
	
	public abstract void doNextCmd(RelayServer rs, Message msg);
	
	/**
	 * Geeft de status terug van het laatste commando, gelukt of niet gelukt.
	 * @return
	 */
	public boolean getState(){
		return state;
	}
	
	/**
	 * Geeft de status terug van het te verzenden bericht, gelukt, niet gelukt.
	 * @return
	 */
	public boolean getSent(){
		return sent;
	}
}
