package smtpServer;

import data.*;

/**
 * WAIT state.
 * Vanuit de WAIT status, kan het commando HELO en MAIL worden uitgevoerd.
 * 
 * @version 0.50
 */

public class WAITState extends SMTPState {
	
	public WAITState(){
		dataState = false;
		msg = new Message();
	}
	
	public String cmdDATA(SMTPClientHandler smtpCH, String cmdArgs) {
		return REPLY_500;
	}

	public String cmdEndData(SMTPClientHandler smtpCH, String cmdArgs) {
		return REPLY_500;
	}

	public String cmdHELO(SMTPClientHandler smtpCH, String cmdArgs, String host) {
		if (cmdArgs == null){
			return "501 Ongeldige invoer. (vb. 'HELO jouwdomein.nl')";
		}
		else{
			smtpCH.setState(new HELOState());
			return "250 " + host;
		}
	}

	public String cmdMAIL(SMTPClientHandler smtpCH, String cmdArgs) {
		return doMail(smtpCH, cmdArgs);
	}

	public String cmdRCPT(SMTPClientHandler smtpCH, String cmdArgs) {
		return REPLY_500;
	}

}
